Get application templates

​

Returns a list of all application templates. Each template includes its context (the class it is linked to) and the configured primary and secondary choice classes.

Query Parameters

  • Maximum number of objects to return. Range: 1–1000.

Responses

  • application/json
  • application/json
  • application/json
Request Example for get/apis/applic_templates/templates
curl 'https://ff-business-school.fullfabric.cloud/apis/applic_templates/templates?limit=10' \
  --header 'FF-Auth: YOUR_SECRET_TOKEN'
Example response
[
  {
    "id": "6385bb46976a771912003e6b",
    "name": "MBA Full-Time Application Form",
    "opens_at": 1704067200,
    "closes_at": 1719705600,
    "context_id": "6385bb46976a771912003e6a",
    "context_type": "Institutions::ClassOf",
    "primary_choice_class_of_ids": [
      "6385bb46976a771912003e6a"
    ],
    "primary_choice_course_ids": [],
    "secondary_choice_class_of_ids": [],
    "secondary_choice_course_ids": []
  },
  {
    "id": "63a317fd9a52af198700007f",
    "name": "Executive MBA Application Form",
    "opens_at": 1727740800,
    "closes_at": 1735603200,
    "context_id": "63a317fd9a52af198700007e",
    "context_type": "Institutions::ClassOf",
    "primary_choice_class_of_ids": [
      "63a317fd9a52af198700007e"
    ],
    "primary_choice_course_ids": [],
    "secondary_choice_class_of_ids": [],
    "secondary_choice_course_ids": []
  }
]